# Interface ConstructorDecoding

This type represents a transaction decoding for a constructor call. It's even possible to decode a library constructor call with this.

NOTE: In the future, this type will also contain information about any linked libraries the contract being constructed uses. However, this is not implemented at present.

#### Category

Output

#### Hierarchy

- ConstructorDecoding

- Defined in codec/lib/types.ts:153

#####
Index

### Properties

abi
arguments
bytecode
class
decodingMode
interpretations
kind

## Properties

### abi

abi: ConstructorEntry

The ABI entry for the constructor that was called. Note that although default constructors don't actually get an ABI entry, we still return an ABI entry regardless in that case.

- Defined in codec/lib/types.ts:172

### arguments

arguments: AbiArgument[]

The list of decoded arguments to the constructor. This will be empty for a default constructor.

- Defined in codec/lib/types.ts:166

### bytecode

bytecode: string

The bytecode of the constructor that was called.

- Defined in codec/lib/types.ts:176

### class

class: ContractType

The class of contract being constructed, as a Format.Types.ContractType.

- Defined in codec/lib/types.ts:161

### decodingMode

decodingMode: DecodingMode

The decoding mode that was used; see the README for more on these.

- Defined in codec/lib/types.ts:181

### interpretations

interpretations: {}

Further information about how the decoding may be interpreted. Note that interpretations may be added by things that use @truffle/codec, such as @truffle/decoder, rather than by @truffle/codec itself. See individual interpretations for details. (Currently there are none for this type.)

#### Type declaration

- Defined in codec/lib/types.ts:188

### kind

kind: "constructor"

The kind of decoding; indicates that this is a ConstructorDecoding.

- Defined in codec/lib/types.ts:157

Generated using TypeDoc